<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:h="http://java.sun.com/jsf/html">
<body>
<ui:composition>

    <h:panelGroup rendered="#{datasetPagingBean.dataList.size() eq 0}" styleClass="alert alert-info" layout="block">
        <h:outputText id="noViolations" value="#{msg['common.nothing_to_show']}"/>
    </h:panelGroup>

    <h:panelGroup rendered="#{datasetPagingBean.dataList.size() gt 0}">
        <ui:repeat value="#{datasetPagingBean.dataList}" var="dataset">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title">
                        <span id="datasetViolations-#{dataset.name}" class="truncate-name wd100"
                              title="#{dataset.title}">#{dataset.title}</span>
                    </h3>
                </div>
                <div class="panel-body">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="table-responsive">
                                <table class="table">
                                    <ui:repeat value="#{dataset.violations.toArray()}"
                                               var="distribution">
                                        <tr>
                                            <td class="small">
                                                <h:outputText id="violationName-#{dataset.name}-#{distribution.violationName}" value="#{distribution.violationName}"
                                                              title="#{distribution.violationName}">
                                                </h:outputText>
                                            </td>
                                            <td class="small">
                                                <h:outputText id="violationInstance-#{dataset.name}-#{distribution.violationInstance}" value="#{distribution.violationInstance}"
                                                              title="#{distribution.violationInstance}"/>
                                            </td>
                                        </tr>
                                    </ui:repeat>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="panel-footer">
                    <ui:include src="/WEB-INF/compositions/issueTableHeading.xhtml"/>
                </div>
            </div>
        </ui:repeat>
    </h:panelGroup>
</ui:composition>
</body>
</html>
